<script type="text/javascript">
    RED.nodes.registerType('broadcast-mask-generator',{
        category: 'input',
        color: '#a6bbcf',
        defaults: {
            interval: {value:5000},
            payload: {value: ""},
            topic: {value:""},
            name: {value:""}
        },
        inputs:0,
        outputs:1,
        icon: "timer.png",
        label: function() {
            return this.name||"broadcast-mask-generator";
        }
    });
</script>

<script type="text/x-red" data-template-name="broadcast-mask-generator">
    <div class="form-row">
        <label for="node-input-interval"><i class="fa fa-clock-o"></i> Interval [ms]</label>
        <input type="number" id="node-input-interval">
    </div>
    <div class="form-row">
        <label for="node-input-payload"><i class="fa fa-envelope"></i> Payload</label>
        <input type="text" id="node-input-payload" placeholder="default = current timestamp">
    </div>
    <div class="form-row">
        <label for="node-input-topic"><i class="fa fa-tasks"></i> Topic</label>
        <input type="text" id="node-input-topic" placeholder="Topic">
    </div>
    <div class="form-row">
        <label for="node-input-name"><i class="fa fa-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>
</script>

<script type="text/x-red" data-help-name="broadcast-mask-generator">
    <p>A interval timer that fires at multiples of the given interval, measured from Jan 1 1970</p>
</script>